%define upstream_name       Tie-TextDir
%define upstream_version    0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7
License:    GPL or Artistic
Summary:	Interface to directory of file
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source:     http://www.cpan.org/modules/by-module/Tie/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:	noarch


%description
The Tie::TextDir module is a TIEHASH interface which lets you tie a Perl hash
to a directory on the filesystem. Each entry in the hash represents a file in
the directory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
# tests fail: https://rt.cpan.org/Ticket/Display.html?id=50793
#make test

%install
%makeinstall_std

%files
%doc Changes MANIFEST README META.yml
%{_mandir}/*/*
%{perl_vendorlib}/Tie


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-7.mga6
+ Revision: 1035230
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.60.0-6.mga6
+ Revision: 933578
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-5.mga5
+ Revision: 744762
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 686690
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 515692
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 374343
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 42942
- skipping failing test
- mageia rebuild
- imported package perl-Tie-TextDir


* Thu Sep 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.60.0-1mdv2010.0
+ Revision: 437398
- use new %%perl_version macro

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.06-5mdv2009.0
+ Revision: 242073
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-3mdv2008.0
+ Revision: 90083
- rebuild


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.06-2mdv2007.0
+ Revision: 108428
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Tie-TextDir

* Fri Apr 23 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.06-1mdk
- 0.06

